#ifndef KNOB_BLOCK_H
#define KNOB_BLOCK_H

#include <stdbool.h>
#include <stdint.h>

void blockcpy(void *to, const void *from, uint32_t size);
bool blockequ(const void *a, const void *b, uint32_t size) __attribute__ ((__pure__));

//returns length without null-terminator
uint32_t strcpy(char *to, const char *from);

//allocates new memory
char *strdup(const char *from);

//without null-terminator
uint32_t strlen(const char *str) __attribute__ ((pure));

bool strequ(const char *a, const char *b) __attribute__ ((pure));

#endif